[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UTF8ToString

Convert UTF8 to Unicode String

## Declaration

Source position: ustringh.inc line 141

`function UTF8ToString(`
`const s: RawByteString`
`):UnicodeString; function UTF8ToString(`
`const S: ShortString`
`):unicodestring; function UTF8ToString(`
`const S: PAnsiChar`
`):unicodestring; function UTF8ToString(`
`const S: array of AnsiChar`
`):unicodestring; function UTF8ToString(`
`const S: array of Byte`
`):unicodestring;`

## Description

UTF8ToString converts a UTF8 single byte string to a UTF16 encoded unicodestring. The source string S is interpreted as an array of UTF8 characters.